Bug 764474 - (GLUSTER-2742) cli help for volume create is not upto date
cli help for volume create is not upto date
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-13 04:55 EDT by Amar Tumballi
Modified: 2013-12-18 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: DP
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-04-13 04:55:47 EDT
we added feature to create the volume with both transport types with option 'transport tcp,rdma' keyword while creating.

The help message should tell about new option.


root@supernova:~# gluster volume create help
Usage: volume create <NEW-VOLNAME> [stripe <COUNT>] [replica <COUNT>] [transport <tcp|rdma>] <NEW-BRICK> ...

root@supernova:~# gluster volume create test-vol transport tcp,rdma supernova:/tmp/export/s1
Creation of volume test-vol has been successful. Please start the volume to access data.


root@supernova:~# gluster volume info test-vol
Volume Name: test-vol
Type: Distribute
Status: Created
Number of Bricks: 1
Transport-type: tcp,rdma
Bricks:
Brick1: supernova:/tmp/export/s1
Comment 1 Anand Avati 2011-04-21 07:38:40 EDT
PATCH: http://patches.gluster.com/patch/6890 in master (gluster volume create: fix help message with transport option 'tcp, rdma')
Comment 2 Raghavendra Bhat 2011-06-01 03:40:16 EDT
It is fixed now. Checked with glusterfs-3.2.1qa2.


gluster volume create transport k
wrong brick type: k, use <HOSTNAME>:<export-dir-abs-path>
Usage: volume create <NEW-VOLNAME> [stripe <COUNT>] [replica <COUNT>] [transport <tcp|rdma|tcp,rdma>] <NEW-BRICK> ...

Note You need to log in before you can comment on or make changes to this bug.